nagexp(3)

NAME
nagexp - create export of your nagios installation used for later import in OMD

SYNOPSIS
  Usage: nagexp [options] <nagios.cfg>

  Options:
  -h, --help                    Show this help message and exit
  -v, --verbose                 Print verbose output
  -V, --version                 Print version
  -f, --file                    export output file
  -a, --all                     export all types, synonym for -pclAs
  -s, --status                  export status files
  -p, --plugins                 export plugins
  -c, --config                  export config files
  -l, --logfile                 export current logfile
  -A, --archive                 export logfile archive

DESCRIPTION
This script exports your nagios installation for later import in OMD.

OPTIONS
nagexp has the following arguments:

-h , --help
        print help and exit

-v , --verbose
        print verbose output too

-V , --version
        print version and exit

-f , --file
        export file. Will generate a generic filename like
        export-2012-11-08.tgz otherwise.

-a , --all
        export all types, synonym for -pclAs

-s , --status
        export status files like status.dat and retention.dat.

-p , --plugins
        export plugins. Export will contain the complete folder for found plugins.

-c , --config
        export config files. This will contain config object configuration and
        general config files like resource.cfg.

-l , --logfile
        export logfile

-A , --archive
        export logfile archive

RETURN VALUE
returns 0 on successful export or number of errors otherwise

EXAMPLES
export everything

  %> nagexp -a -f /tmp/export.tgz /etc/nagios3/nagios.cfg

export everything except logfile archive

  %> nagexp -lpc /etc/nagios3/nagios.cfg

AUTHOR
Sven Nierlein, 2009-present, <sven@nierlein.org>